events {SimInf} | R Documentation

## Extract the events from a `SimInf_model` object

### Description

Extract the scheduled events from a `SimInf_model` object.

### Usage

    events(model)

### Arguments

`model` | The `model` to extract the events from.

### Value

`SimInf_events` object.

### Examples

    ## Create an SIR model that includes scheduled events.
    model <- SIR(u0     = u0_SIR(),
                 tspan  = 1:(4 * 365),
                 events = events_SIR(),
                 beta   = 0.16,
                 gamma  = 0.077)

    ## Extract the scheduled events from the model and display summary
    summary(events(model))

    ## Extract the scheduled events from the model and plot them
    plot(events(model))

[Package SimInf version 6.3.0 Index]